Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class MemberCriteria

    java.lang.Object
      com.bea.netuix.application.communities.MemberCriteria

All Implemented Interfaces
  SearchCriteria, Serializable

    public class MemberCriteria

extends Object
implements SearchCriteria

The MemberCriteria object is used to specify a member to search for.

The overview of community functionality contains a description of the community framework.

See Also
  Serialized Form

Constructor Summary
`MemberCriteria(CommunityMemberId memberId)` Constructs a new MemberCriteria specifying the member ID of the member to search for.
`MemberCriteria(String username)` Constructs a new MemberCriteria specifying the username of the member to search for.

Method Summary
`boolean` | `equals(Object o)`
`CommunityMemberId` | `getMemberIdCriteria()` Retrieves the member ID criteria for the search.
`String` | `getUsernameCriteria()` Retrieves the username criteria for the search.
`int` | `hashCode()`
`boolean` | `isMemberIdCriteria()` Determines if member ID is a criteria for the search.
`boolean` | `isUsernameCriteria()` Determines if username is a criteria for the search.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemberCriteria

    public MemberCriteria(CommunityMemberId memberId)

  Constructs a new MemberCriteria specifying the member ID of the member to search for.

  Parameters
    `memberId` - the ID of the member to search for.

### MemberCriteria

    public MemberCriteria(String username)

  Constructs a new MemberCriteria specifying the username of the member to search for.

  Parameters
    `username` - the username of the member to search for.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isMemberIdCriteria

    public boolean isMemberIdCriteria()

  Determines if member ID is a criteria for the search.

  Returns
    `true` if member ID is a criteria to be used, `false` if not.

### getMemberIdCriteria

    public CommunityMemberId getMemberIdCriteria()

  Retrieves the member ID criteria for the search.

  Returns
    the member ID criteria for the search, or `null` if member ID is not a criteria in the search.

### isUsernameCriteria

    public boolean isUsernameCriteria()

  Determines if username is a criteria for the search.

  Returns
    `true` if username is a criteria to be used, `false` if not.

### getUsernameCriteria

    public String getUsernameCriteria()

  Retrieves the username criteria for the search.

  Returns
    the username criteria for the search, or `null` if username is not a criteria in the search.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.